Page MenuHomePhabricator

Clean-up Parsoid-PHP transition code from RESTBase
Closed, ResolvedPublic

Description

After the transition from Parsoid-JS to Parsoid-PHP has been done and deployed, we need to clear up the code supporting the transition from RESTBase.

The code in question was implemented in a single PR. This code should mostly be reverted with a little bits left intact (adding the host header to parsoid request). Unfortunately, the transition included a lot of followup changes, so most likely automatic git-based revert will not work.

Additionally, as soon as we loose the capability to access JS Parsoid, we'd have problems with tests that rely on production enwiki (see T231933), so that should be fixed first.

Details

Related Gerrit Patches:
mediawiki/services/restbase/deploy : masterUpdate configs to use updated parsoid_uri
operations/puppet : productionUpdate parsoid_uri to use Parsoid-PHP
mediawiki/services/restbase/deploy : masterClean-up Parsoid-PHP transition configs

Event Timeline

Pchelolo created this task.Jan 2 2020, 6:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 2 2020, 6:51 PM

Change 562631 had a related patch set uploaded (by Clarakosi; owner: Clarakosi):
[mediawiki/services/restbase/deploy@master] Clean-up Parsoid-PHP transition configs

https://gerrit.wikimedia.org/r/562631

Change 562845 had a related patch set uploaded (by Clarakosi; owner: Clarakosi):
[operations/puppet@production] Update parsoid_uri to use Parsoid-PHP

https://gerrit.wikimedia.org/r/562845

Change 562631 merged by Ppchelko:
[mediawiki/services/restbase/deploy@master] Clean-up Parsoid-PHP transition configs

https://gerrit.wikimedia.org/r/562631

Mentioned in SAL (#wikimedia-operations) [2020-01-08T18:18:36Z] <ppchelko@deploy1001> Started deploy [restbase/deploy@ebb1849] (dev-cluster): Clean up Parsoid-PHP transition code & config T241756

Mentioned in SAL (#wikimedia-operations) [2020-01-08T18:21:16Z] <ppchelko@deploy1001> Finished deploy [restbase/deploy@ebb1849] (dev-cluster): Clean up Parsoid-PHP transition code & config T241756 (duration: 02m 41s)

Mentioned in SAL (#wikimedia-operations) [2020-01-08T18:22:03Z] <ppchelko@deploy1001> Started deploy [restbase/deploy@ebb1849]: Clean up Parsoid-PHP transition code & config T241756

Mentioned in SAL (#wikimedia-operations) [2020-01-08T18:36:30Z] <ppchelko@deploy1001> Finished deploy [restbase/deploy@ebb1849]: Clean up Parsoid-PHP transition code & config T241756 (duration: 14m 27s)

Change 562845 merged by Alexandros Kosiaris:
[operations/puppet@production] Update parsoid_uri to use Parsoid-PHP

https://gerrit.wikimedia.org/r/562845

Change 563182 had a related patch set uploaded (by Clarakosi; owner: Clarakosi):
[mediawiki/services/restbase/deploy@master] Update configs to use updated parsoid_uri

https://gerrit.wikimedia.org/r/563182

Change 563182 merged by Ppchelko:
[mediawiki/services/restbase/deploy@master] Update configs to use updated parsoid_uri

https://gerrit.wikimedia.org/r/563182

Mentioned in SAL (#wikimedia-operations) [2020-01-13T20:21:37Z] <clarakosi@deploy1001> Started deploy [restbase/deploy@bfdd342]: Use parsoid_uri, add ngwiki. T241756, T240771

Mentioned in SAL (#wikimedia-operations) [2020-01-13T20:37:19Z] <clarakosi@deploy1001> Finished deploy [restbase/deploy@bfdd342]: Use parsoid_uri, add ngwiki. T241756, T240771 (duration: 15m 41s)

daniel added a subscriber: daniel.Feb 5 2020, 7:46 PM

Is this done?

Pchelolo closed this task as Resolved.Feb 5 2020, 7:53 PM

Yes